## gstaudioiec61937 gstaudioiec61937 — Utility functions for IEC 61937 payloading |

## Functions

guint | gst_audio_iec61937_frame_size ()
gboolean | gst_audio_iec61937_payload ()

## Object Hierarchy

## Includes

    #include <gst/audio/gstaudioiec61937.h>

## Description

This module contains some helper functions for encapsulating various audio formats in IEC 61937 headers and padding.

## Functions

### gst_audio_iec61937_frame_size ()

    guint
    gst_audio_iec61937_frame_size (const GstAudioRingBufferSpec *spec);

Calculated the size of the buffer expected by `gst_audio_iec61937_payload()` for payloading type from `spec` .

#### Parameters

spec | the ringbufer spec |

#### Returns

the size or 0 if the given `type` is not supported or cannot be payloaded.

### gst_audio_iec61937_payload ()

    gboolean
    gst_audio_iec61937_payload (const guint8 *src,
                                guint src_n,
                                guint8 *dst,
                                guint dst_n,
                                const GstAudioRingBufferSpec *spec,
                                gint endianness);

Payloads `src` in the form specified by IEC 61937 for the type from `spec` and stores the result in `dst` . `src` must contain exactly one frame of data and the frame is not checked for errors.

#### Parameters

src | a buffer containing the data to payload. | [array length=src_n]
src_n | size of `src` in bytes |
dst | the destination buffer to store the payloaded contents in. Should not overlap with `src` . | [array length=dst_n]
dst_n | size of `dst` in bytes |
spec | the ringbufer spec for `src` |
endianness | the expected byte order of the payloaded data |

#### Returns

transfer-full: `TRUE` if the payloading was successful, `FALSE` otherwise.

## Types and Values